Module java.desktop
Package javax.swing.plaf.metal

# Class MetalBorders.ToggleButtonBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.ButtonBorder
javax.swing.plaf.metal.MetalBorders.ToggleButtonBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  `MetalBorders`

public static class MetalBorders.ToggleButtonBorder extends MetalBorders.ButtonBorder
Border for a `JToggleButton`.

Since:
  1.3

## Field Summary

### Fields declared in class javax.swing.plaf.metal.MetalBorders.ButtonBorder

`borderInsets`

## Constructor Summary

Constructors
Constructor
Description
`ToggleButtonBorder()`
Constructs a `ToggleButtonBorder`.

## Method Summary

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToggleButtonBorder

public ToggleButtonBorder()
Constructs a `ToggleButtonBorder`.